Subject: Re: 3D game programming
From: Ryan Scott <[email-masked]>
To: Mat Hall <[email-masked]>
Cc: Adams Barnett <[email-masked]>, [email-masked]
Date: Tue, 5 Jul 1994 15:57:14 -0400 (EDT)

On Mon, 4 Jul 1994, Mat Hall wrote:

> > 
> > I need some help I can not figure out how to program an Dungeon Master type of
> > game..I do not know how to make it so you are looking through the players
> > eyes, and how to move around inside the dungeon, and all that other kind of
> > good stuff...can anyone help me?
> > 
> 
> I started one a while back, but other projects got in my way - I'll see 
> if I can dig it up.  I didn't get very far, but 99% of the display 
> routines are there.  They're a bit ugly, but they were designed for speed 
> not as an example of good coding.  (A feeble excuse, but the only one I 
> could come up with at such short notice!:)
> 
> And on another subject entirely, I have a few suggestions for if (when) 
> the AMOS Pro source becomes PD and someone takes it under their wing...
> 
> Get rid of the ridiculous AMOS music format.  The only stuff in that 
> format that I've seen has been the things that were on the AMOS disks.  
> The ST/NT to AMOS converter bites BAD, and ST support is included in AMOS 
> anyway.  (Perhaps this could be changed to PT support?)

Just get EME.  I'm serious - this product kills the AMOS commands... PT 
support and the ability to play samples at the same time without a crash!
Lots of other good stuff as well.

> 
> Add a Case statement.

good idea.

> 
> Add the following functions to the Mod Player :
> 
>    Which Block - return the # of the pattern currently being played
>    Which Songlist Entry - return the position in the song "  "
>    Which Instrument(channel) - return the # of the instrument playing thru'
>                                the channel
>    Tempo - make this a function so you can find out the current tempo

check out EME!!!

> 
> Add all the Turbo commands. :)
> 

*blush*

> Improve the serial/parallel commands - AP was an improvement over the 
> original, but it still needs work.
> 
> 
> Well, that ought to keep someone busy for a while. :)
> 
> 
> (Oh, and the Turbo SineScroll demo needs some peculiar math library that 
> I can't find anywhere...)

hmmm...

Ryan
PLAYFIELD!